package me.hammerle.exceptions;

import me.hammerle.code.Script;

public class IllegalStringException extends SnuviException
{
    private final String s;
    
    public IllegalStringException(Script sc, String s)
    {
        super(null, sc);
        this.s = s;
    }
    
    public IllegalStringException(String s)
    {
        super(null);
        this.s = s;
    }
    
    public String getBadString()
    {
        return s;
    }
}
